# DataExchange
TKSTEPBase
StepRepr

# StepRepr_Array1OfMaterialPropertyRepresentation Class Reference

`#include <StepRepr_Array1OfMaterialPropertyRepresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepRepr_Array1OfMaterialPropertyRepresentation (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepRepr_Array1OfMaterialPropertyRepresentation (const Handle(StepRepr_MaterialPropertyRepresentation)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepRepr_MaterialPropertyRepresentation)&V)
Standard_EXPORT void | Destroy ()
| ~StepRepr_Array1OfMaterialPropertyRepresentation ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepRepr_Array1OfMaterialPropertyRepresentation & | Assign (const StepRepr_Array1OfMaterialPropertyRepresentation &Other)
const StepRepr_Array1OfMaterialPropertyRepresentation & | operator= (const StepRepr_Array1OfMaterialPropertyRepresentation &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepRepr_MaterialPropertyRepresentation)&Value)
const Handle_StepRepr_MaterialPropertyRepresentation & | Value (const Standard_Integer Index) const
const Handle_StepRepr_MaterialPropertyRepresentation & | operator() (const Standard_Integer Index) const
Handle_StepRepr_MaterialPropertyRepresentation & | ChangeValue (const Standard_Integer Index)
Handle_StepRepr_MaterialPropertyRepresentation & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepRepr_Array1OfMaterialPropertyRepresentation (const StepRepr_Array1OfMaterialPropertyRepresentation &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_Array1OfMaterialPropertyRepresentation::StepRepr_Array1OfMaterialPropertyRepresentation | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepRepr_Array1OfMaterialPropertyRepresentation::StepRepr_Array1OfMaterialPropertyRepresentation | ( | const Handle(StepRepr_MaterialPropertyRepresentation)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepRepr_Array1OfMaterialPropertyRepresentation::~StepRepr_Array1OfMaterialPropertyRepresentation | ( |  | ) | `[inline]`

Standard_EXPORT StepRepr_Array1OfMaterialPropertyRepresentation::StepRepr_Array1OfMaterialPropertyRepresentation | ( | const StepRepr_Array1OfMaterialPropertyRepresentation & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepRepr_Array1OfMaterialPropertyRepresentation& StepRepr_Array1OfMaterialPropertyRepresentation::Assign | ( | const StepRepr_Array1OfMaterialPropertyRepresentation & | Other | ) |

Handle_StepRepr_MaterialPropertyRepresentation& StepRepr_Array1OfMaterialPropertyRepresentation::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepRepr_Array1OfMaterialPropertyRepresentation::Destroy | ( |  | ) |

Standard_EXPORT void StepRepr_Array1OfMaterialPropertyRepresentation::Init | ( | const Handle(StepRepr_MaterialPropertyRepresentation)& | V | ) |

Standard_Boolean StepRepr_Array1OfMaterialPropertyRepresentation::IsAllocated | ( |  | ) | const

Standard_Integer StepRepr_Array1OfMaterialPropertyRepresentation::Length | ( |  | ) | const

Standard_Integer StepRepr_Array1OfMaterialPropertyRepresentation::Lower | ( |  | ) | const

void StepRepr_Array1OfMaterialPropertyRepresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepRepr_Array1OfMaterialPropertyRepresentation::operator new | ( | size_t | size | ) | `[inline]`

void* StepRepr_Array1OfMaterialPropertyRepresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepRepr_MaterialPropertyRepresentation& StepRepr_Array1OfMaterialPropertyRepresentation::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepRepr_MaterialPropertyRepresentation& StepRepr_Array1OfMaterialPropertyRepresentation::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepRepr_Array1OfMaterialPropertyRepresentation& StepRepr_Array1OfMaterialPropertyRepresentation::operator= | ( | const StepRepr_Array1OfMaterialPropertyRepresentation & | Other | ) | `[inline]`

void StepRepr_Array1OfMaterialPropertyRepresentation::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepRepr_MaterialPropertyRepresentation)& | Value
| ) |

Standard_Integer StepRepr_Array1OfMaterialPropertyRepresentation::Upper | ( |  | ) | const

const Handle_StepRepr_MaterialPropertyRepresentation& StepRepr_Array1OfMaterialPropertyRepresentation::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepRepr_Array1OfMaterialPropertyRepresentation::isAllocated `[private]`

Standard_Integer StepRepr_Array1OfMaterialPropertyRepresentation::myLowerBound `[private]`

Standard_Address StepRepr_Array1OfMaterialPropertyRepresentation::myStart `[private]`

Standard_Integer StepRepr_Array1OfMaterialPropertyRepresentation::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepRepr_Array1OfMaterialPropertyRepresentation.hxx